Name: libldevice
Version: 0.2.1
Release: 1%{?dist}
Summary: A library that collecting device infomation
License: LGPL v3
URL: https://gitee.com/OpenCloudOS/libldevice
Source0: https://gitee.com/OpenCloudOS/libldevice/archive/refs/tags/%{name}-%{version}.tar.gz

# Dependencies
BuildRequires: meson, gcc
BuildRequires: openssl-devel
BuildRequires: libcurl-devel
BuildRequires: systemd-devel

%{?systemd_requires}

%description
A library that collecting device infomation

%package  devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

mkdir -p %{buildroot}/usr/lib/license/

pushd %{buildroot}/usr/lib/license/

ln -s %{_libdir}/libldevice.so.0 %{buildroot}/usr/lib/license/libsystemactivation.so

popd

# for systemd
mkdir -p %{buildroot}%{_unitdir}

install -m 644 libldevice.service %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_presetdir}

install -m 644 50-libldevice.preset %{buildroot}%{_presetdir}


%post
%systemd_post libldevice.service
if [ $1 -eq 1 ] ; then
/usr/bin/systemctl start libldevice.service >/dev/null 2>&1 || :
fi

%preun
%systemd_preun libldevice.service

%postun
%systemd_postun_with_restart libldevice.service


%files
%license LICENSE
%doc README
%{_bindir}/ldevice
%{_libdir}/libldevice.so.0
/usr/lib/license/libsystemactivation.so
%{_unitdir}/libldevice.service
%{_presetdir}/50-libldevice.preset

%files devel
%{_libdir}/libldevice.so
%{_includedir}/ldevice.h


%changelog
* Thu Jun 06 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.2.1-1
- improved virtual machine support

* Thu Jun 06 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.2-1
- added virtual machine support

* Thu May 16 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.1-1
- First Build
